<?php
/**
 * Singleton interface
 * 
 * @package 	TP Framework
 * @subpackage 	tp-framework\includes\classes
 * @since 		1.0.0
 * @author 		ThemePlugger <themeplugger@gmail.com>
 * @link 		http://themeplugger.com
 * @license 	GNU General Public License, version 3
 * @copyright 	© 2014 ThemePlugger
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! interface_exists( 'TP_Interface_Singleton' ) ) :

/**
 * TP_Interface_Singleton
 * 
 * @since 1.0.0
 */
interface TP_Interface_Singleton {
	
	/**
	 * Singleton instance
	 * 
	 * @since 1.0.0
	 */
	public static function init();
}

endif;