<?php
/**
 * Child theme base class
 * 
 * @package 	TP Framework
 * @subpackage 	tp-framework\includes\classes
 * @since 		1.0.0
 * @author 		ThemePlugger <themeplugger@gmail.com>
 * @link 		http://themeplugger.com
 * @license 	GNU General Public License, version 3
 * @copyright 	© 2014 ThemePlugger
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;
 
if ( ! class_exists( 'TP_Base_Child_Theme' ) ) :

/**
 * TP_Base_Child_Theme
 * 
 * @since 1.0.0
 * 
 * @abstract
 */
abstract class TP_Base_Child_Theme extends TP_Base_Theme implements TP_Interface_Singleton {
	
	/**
	 * Child theme
	 * 
	 * @since 1.0.0
	 * 
	 * @var boolean
	 */
	public $is_child_theme = true;
	
}
	
endif;
