<?php
/**
 * Ajax interface
 * 
 * @package 	TP Framework
 * @subpackage 	tp-framework\includes\classes
 * @since 		1.0.0
 * @author 		ThemePlugger <themeplugger@gmail.com>
 * @link 		http://themeplugger.com
 * @license 	GNU General Public License, version 3
 * @copyright 	© 2014 ThemePlugger
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! interface_exists( 'TP_Interface_Ajax' ) ) :

/**
 * TP_Interface_Ajax
 * 
 * @since 1.0.0
 */
interface TP_Interface_Ajax {
	
	/**
	 * Ajax callback
	 * 
	 * @since 1.0.0
	 */
	public function ajax();
	
	/**
	 * Unauthenticated ajax callback
	 * 
	 * @since 1.0.0
	 */
	public function ajax_nopriv();
}

endif;